Liquid Hotdog

FreeBSD MySQL 5.1 to 5.0 Ports Downgrade Problem

Wow, another easy fix that took forever to discover.

I had originally installed MySQL5.1 on my server for testing. When I decided to get clustering working, I decided to downgrade to MySQL 5.0 only to discover the following problem when running /usr/ports/databases/mysql50-server/make”

mysql-server-5.0.45 cannot install: the port wants mysql50-client and you try to install mysql51-client

I had run pkg_delete on both the client and server packages but couldn’t figure out where this dependency declaration was.

My pleading for help finally paid off in irc.freenode.net’s #freebsd with crsd on the assist.

<crsd> mrBlaQ: don't you have WITH_MYSQL_VER=51 defined somewhere ( /etc/make.conf )?

I changed the line from “51″ to “50″ and things started working again! It’s amazing what help you can’t find on Google sometimes.

-- MrBlaQ
Filed under: Main, Technology — August 1, 2007 @ 10:08 pm
Valid XHTML 1.0 Valid CSS 2
eXTReMe Tracker